<?php

use App\Base\Base;

use App\Services\pay\PayService;
use App\Services\refund\RefundService;


class CallbackController extends Base
{
    /**
     * 创建支付订单，返回前端ping++的支付信息
     */
    public function payAction()
    {
        try{

            $raw_data = file_get_contents('php://input');

            $paySrv = new PayService();
            $ret = $paySrv->call_back($raw_data);

            $this->success(['result'=>$ret]);

        }catch (Exception $e) {
            http_response_code(500);
            $this->failed('500');
        }
    }

    public function refundAction() {

        try{
            $raw_data = file_get_contents('php://input');

            $refundSrv = new RefundService();
            $ret = $refundSrv->call_back($raw_data);

            $this->success(['result'=>$ret]);

        }catch (Exception $e) {

            http_response_code(500);
            $this->failed('500');
        }
    }
}
