<?php


namespace App\Exception\custom;


use App\Exception\BaseException;

class PayException extends BaseException
{
    protected $base_code = Code::PAY;

    protected $cus = [
        0 => '系统错误，请稍收重试',
        3 => '该订单已经支付，请刷新确认',
        4 => '费率计算错误，费率分母为0',
        5 => '支付回调失败，请核对订单',
    ];
}
